-- payments are used for paying invoices
CREATE TABLE PAYMENT (
	paymentid BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL,
	reference VARCHAR(25),
	notes VARCHAR(50),
	date TIMESTAMP,
	invoiceid BIGINT,
	amount NUMERIC,
	currency VARCHAR(255),
	PRIMARY KEY(paymentid),
	CONSTRAINT fk_payment_invoiceid FOREIGN KEY(invoiceid) REFERENCES PUBLIC.invoice(invoiceid)
);

-- create a full payment for every paid invoice
-- Note: It's complicated to calculate the actual value of the invoice so that we can use it as the payment value.
-- To handle this situation, we create an empty payment which has to be edited in the application and set to the correct value.
INSERT INTO payment (reference,notes,date,invoiceid,amount,currency) 
SELECT '','TODO: Edit to enter the actual amount',date,invoiceid,0.0,currency
FROM invoice
WHERE invoice.paid=TRUE;